<?php
/*
Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 


Note : les paramtres comments sont des paramtres qui n'ont pas encore ts implments ailleurs que dans les options.
Ils concernent l'upload d'avatars. Cette fonction sera implmente dans une mise  jour prochaine de kankanSpace.
*/
require('include/common.php');
//On vrifie que le membre est connect et qu'il est admin.
if (isset($_SESSION[$prefix.'logged']) && $_SESSION[$prefix.'logged'] === true && $_SESSION[$prefix.'admin'] == 1)
{
	designhaut('Options - Administration');
?>
<h1>Options de votre espace membre</h1>
<p> D'ici, vous pouvez r&eacute;gler toutes les options de votre espace membres, de son nom jusqu'au r&egrave;glement, en passant per la taille des avatars et le design par d&eacute;faut.</p>
<form method="post" action="admin_valider_options.php">
<h2>Nom de votre espace membre</h2>
<p><label>Entrez ici le mon de votre espace membre (en g&eacute;n&eacute;ral le m&ecirc;me que celui de votre site). Il apparaitra dans le titre de toutes les pages de votre espace membre.
<br /><input type="text" name="titre" value="<?php echo $config['titre']?>" size="30" /></label></p>
<h2>Description de votre espace membre</h2>
<p><label>La description de votre espace membre apparaitra en dessous du nom de ce dernier. Cette description servira &eacute;galement de description pour le r&eacute;f&eacute;rencement de votre espace membre.
<br /><input type="text" name="description" value="<?php echo $config['description']?>" size="50" /></label></p>
<h2>Langue par d&eacute;faut</h2>
<p><label>La langue qui sera utilis&eacute; par d&eacute;faut. Vous pouvez t&eacute;l&eacute;charger des packs de langue sur le site officiel.
<br /><select name="langue_defaut">
<?php
	$rep = 'langues/';
	$dir = opendir($rep);

	// on affiche tous les fichiers
	while ($f = readdir($dir))
	{
		if($f != '.' AND $f != '..' && is_dir($rep.$f))
		{
			echo '<option value="'.$f.'"'.defaut_form_liste($config['langue_defaut'], $f).'>'.$f.'</option>';
		}
	}
	closedir($dir);
?>
</select>
</label></p>
<h2>Design par d&eacute;faut</h2>
<p><label>Le design qui sera utilis&eacute; par d&eacute;faut. Vous pouvez en t&eacute;l&eacute;cherger de nouveaux sur le site officiel de kankanSpace.
<br /><select name="design_defaut">
<?php
	$rep = 'designs/';
	$dir = opendir($rep);

	// on affiche tous les fichiers
	while ($f = readdir($dir))
	{
		if($f != '.' AND $f != '..' && is_dir($rep.$f))
		{
			echo '<option value="'.$f.'"'.defaut_form_liste($config['design_defaut'], $f).'>'.$f.'</option>';
		}
	}
	closedir($dir);
?>
</select>
</label></p>
<h2>E-mail administrateur</h2>
<p><label>L'adresse e-mail qui sera donn&eacute;e aux membres lors d'un probl&egrave;me d'inscription, d'un bannissement, etc...
<br /><input type="text" name="email_admin" value="<?php echo $config['email_admin'];?>" size="50" /></label></p>
<h2>Inscriptions</h2>
<p>Voulez-vous que l'on puisse s'inscrire &agrave; votre espace membre ?
<br /><label><input type="radio" name="autorisation_inscriptions" value="1"<?php echo defaut_form_case($config['autorisation_inscriptions'], 1) ?> /> Oui</label>
<label><input type="radio" name="autorisation_inscriptions" value="0"<?php echo defaut_form_case($config['autorisation_inscriptions'], 0) ?> /> Non</label><br />
</p>
<h2>R&egrave;glement de votre espace membre</h2>
<p>Voulez-vous que les nouveaux membres doivent accepter le r&egrave;glement du votre espace membre avant leur inscription ?
<br /><label><input type="radio" name="reglement_actif" value="1"<?php echo defaut_form_case($config['reglement_actif'], 1) ?> /> Oui</label> 
<label><input type="radio" name="reglement_actif" value="0"<?php echo defaut_form_case($config['reglement_actif'], 0) ?> /> Non</label><br />
<br /><label>Saisissez ici le r&egrave;glement de votre espace membre (qui sera visible et devre &ecirc;tre accep&eacute; si l'option pr&eacute;c&eacute;dente est active).
<br /><textarea name="reglement" rows="20" cols="80"><?php echo $config['reglement'];?></textarea></label></p>
<h2>Avatars</h2>
<p>Dimensions maximales autoris&eacute;es des avatars (en pixels):
<br /><label>Largeur : <input type="text" name="largeur_max_avatar" value="<?php echo $config['largeur_max_avatar'];?>" size="3" maxlength="3"/> (100 recommand&eacute;s)</label>
<br /><label>Hauteur : <input type="text" name="hauteur_max_avatar" value="<?php echo $config['hauteur_max_avatar'];?>" size="3" maxlength="3"/> (100 recommand&eacute;s)</label>
<?php
/* fonctions pas encore implmentes
<br /><br />Voulez-vous que les membres puissent uploader leurs avatars sur ce serveur ?
<br /><label><input type="radio" name="upload_avatar" value="1"<?php echo defaut_form_case($config['upload_avatar'], 1) ?> /> Oui</label> 
<label><input type="radio" name="upload_avatar" value="0"<?php echo defaut_form_case($config['upload_avatar'], 0) ?> /> Non</label><br />
<label>Si l'upload est autoris&eacute;, quelle est la taille maximale autoris&eacute;e pour un avatar upload&eacute; (en kilo-octets) ?
<input type="text" name="taille_max_avatar" value="<?php echo $config['taille_max_avatar'];?>" size="4" maxlength="4"/>ko</label></p>
*/
?>
<h2>Message d'accueil</h2>
<p>Voulez-vous remplacer le message "Bonjour pseudo" par un autre message sur la page d'accueil des membres ?
<br /><label><input type="radio" name="message_accueil_actif" value="1"<?php echo defaut_form_case($config['message_accueil_actif'], 1) ?> /> Oui</label> 
<label><input type="radio" name="message_accueil_actif" value="0"<?php echo defaut_form_case($config['message_accueil_actif'], 0) ?> /> Non</label><br />
<br /><label>Saisissez ici le message d'accueil qui sera utilis&eacute; si l'option pr&eacute;c&eacute;dente est active (il est possible d'utiliser du HTML)
<br /><textarea name="message_accueil" rows="20" cols="80"><?php echo $config['message_accueil'];?></textarea></label></p>
<h2>Personnalisation de la page "&agrave; propos"</h2>
<p>Voulez-vous ajouter une description de votre espace membre sur la page "&Agrave; propos de" ?
<br /><label><input type="radio" name="apropos_perso_actif" value="1"<?php echo defaut_form_case($config['apropos_perso_actif'], 1) ?> /> Oui</label> 
<label><input type="radio" name="apropos_perso_actif" value="0"<?php echo defaut_form_case($config['apropos_perso_actif'], 0) ?> /> Non</label><br />
<br /><label>Saisissez ici la pr&eacute;sentation de votre espace membre (qui sera visible sur la page <a href="apropos.php">&Agrave; propos de</a> si l'option pr&eacute;c&eacute;dente est active). Cette description peut contenir du HTML.
<br /><textarea name="apropos_perso" rows="20" cols="80"><?php echo $config['apropos_perso'];?></textarea></label></p>
<h2>Mots-cl&eacute;s pour le r&eacute;f&eacute;rencement</h2>
<p><label>Les mots-cl&eacute; servent uniquement &agrave; r&eacute;f&eacute;rencer votre site sur les moteurs de recherche. s&eacute;parez deux mots par une virgule puis un espace, comme dans l'exemple si dessous.
<br />Exemple : <br /><span class="pre">espace, membres</span><br />
Dans cet exemple, les mots <strong>espace</strong> et <strong>membres</strong> sont deux mots-cl&eacute;s distincts.
<br />Mettez au moins un mot-cl&eacute;. Si vous ne savez pas quoi mettre, laissez les mots-cl&eacute; de l'exemple.
<br /><input type="text" name="mots_cles" value="<?php echo $config['mots_cles']?>" size="50" /></label></p>
<h2>Valider les r&eacute;glages</h2>
<p>Cliquez sur le bouton pour valider les r&eacute;glages (vous serez automatiquement redirig&eacute; vers cette page sans message de confirmation) :
<br /><input type="submit" value="Valider" /></p>
</form>
<?php
	designbas();
}
else
   echo stop($lang['acces_refuse'], '');

mysql_close();
?>