<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/

//demarrage session
session_start();

//def du prefixe si inexistant (vieilles installs)
if(!isset($prefix))
{
	$prefix ='';
}

//Insertion des autres fichiers
require (dirname(__FILE__).'/../config.inc.php');
require('fonctions.php');

//Vrif de l'install
if(!isset($username) OR empty($username))
{
	exit('Le fichier config.inc.php est inexistant ou endommag. Vous devriez aller <a href="installer.php">ici</a> pour installer kankanSpace.');
}

//Connexion  la base de donnes.
mysql_connect($host, $username, $password)or exit('Impossible de se connecter &agrave; MySQL.');
mysql_select_db($bdd_name)or exit('La bese de donn&eacute;es demand&eacute; est introuvable.');

//vrif des options
@require(dirname(__FILE__).'/../cache/cache_options.php');
if(!isset($config))
{
	gen_cache_config();
	require(dirname(__FILE__).'/../cache/cache_options.php');
}

//connexion auto si cookie
if (!isset($_SESSION[$prefix.'logged']) OR $_SESSION[$prefix.'logged'] === false)
{
	if (isset($_COOKIE[$prefix.'pseudo'], $_COOKIE[$prefix.'mot_passe']))
	{
		//Vrification du pseudo.
		$pseudo = mysql_real_escape_string(htmlspecialchars($_COOKIE[$prefix.'pseudo']));
		$mot_passe = mysql_real_escape_string(htmlspecialchars($_COOKIE[$prefix.'mot_passe']));

		$sql = mysql_query("SELECT COUNT(*) AS nb_pseudo FROM ".$prefix."membres WHERE pseudo='".$pseudo."'");

		//Si le pseudo exist, verif mdp
		if (mysql_result($sql,0,'nb_pseudo') == 1)
		{
			//Information sur le compte du membre.
			$sql_infos_membre = mysql_query('SELECT id, mot_passe, acces, admin, design, langue FROM '.$prefix."membres WHERE pseudo='".$pseudo."'");
			$infos_membre = mysql_fetch_array($sql_infos_membre);

			//Comparaison du mot de passe et vrification que le compte est confirm.
			if ($mot_passe == $infos_membre['mot_passe'] && $infos_membre['acces'] == 1)
			{
				//Tout est bon, on connecte le membre.
				$_SESSION[$prefix.'logged'] = true;

				$_SESSION[$prefix.'id'] = $infos_membre['id'];
				$_SESSION[$prefix.'pseudo'] = $pseudo;
				$_SESSION[$prefix.'admin'] = $infos_membre['admin'];
				$_SESSION[$prefix.'design'] = $infos_membre['design'];
				$_SESSION[$prefix.'langue'] = $infos_membre['langue'];
				
				header('location: membres.php');
			}
		}
	}
}

//definition du design si indfini
if(!isset($_SESSION[$prefix.'design'])) {
	$_SESSION[$prefix.'design'] = $config['design_defaut'];
}

//definition de la langue si indfini
if(!isset($_SESSION[$prefix.'langue'])) {
	$_SESSION[$prefix.'langue'] = $config['langue_defaut'];
}

//inclusion des fichiers de langues
require (dirname(__FILE__).'/../langues/'.$_SESSION[$prefix.'langue'].'/common.php');

//si admin, on inclus le fichier de langue admin
if($_SESSION[$prefix.'admin'] == 1) {
	require (dirname(__FILE__).'/../langues/'.$_SESSION[$prefix.'langue'].'/admin.php');
}

//inclusion des templates
require('templates.php');

//Suppression de l'effet des magic quotes
if(get_magic_quotes_gpc()) {
	$_POST = array_map('stripslashes', $_POST);
	$_GET = array_map('stripslashes', $_GET);
	$_COOKIE = array_map('stripslashes', $_COOKIE);
}
?>