<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/

require('include/common.php');

if (isset($_SESSION[$prefix.'logged']) && $_SESSION[$prefix.'logged'] === true)
{
	header('location: membres.php');
}
else
{
	//Ici on grera le formulaire de connexion.
	include('connexion.php');

	designconnexion($lang['connexion']);
?>
<h1>Connexion</h1>
<p>
<?php
	if($config['autorisation_inscriptions'] == 1)
	{
		echo $lang['vous_n_etes_pas_encore_inscrit'].' <a href="inscription.php">'.$lang['vous_pouvez_vous_inscrire_ici'].'</a>.';
	}
	else
	{
		echo $lang['les_inscriptions_sont_fermees'];
	}
?>
</p>
<?php
	if(isset($erreur))
	{
		echo '<p><strong>'.$erreur.'</strong></p>';
	}
?>
<form method="post" action="index.php">
<p>
<label for="pseudo"><?php echo $lang['pseudo']; ?> : <input type="text" name="pseudo" id="pseudo" /></label>
<br /><label for="mot_passe"><?php echo $lang['mot_passe']; ?> : <input type="password" name="mot_passe" id="mot_passe" /></label>
<br /><label for="souvenir"><?php echo $lang['connexion_auto']; ?> <input type="checkbox" name="souvenir" id="souvenir" /></label>
<br /><input type="submit" name="connexion" value="<?php echo $lang['se_connecter']; ?>" />
</p>
</form><br />
<?php
	designbasconnexion();
}

//Dconnection de la base de donnes.
mysql_close();
?>