<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/

require('include/common.php');

if (isset($_SESSION[$prefix.'logged']) && $_SESSION[$prefix.'logged'] === true)
{
	header('location: membres.php');
}
else
{
	designconnexion($lang['inscription']);
	echo '<h1>'.$lang['inscription'].'</h1>';

	//informations
	if ($config['autorisation_inscriptions'] == 1)//si les inscriptions sont ouvertes
	{
		//si les variables existent (sinon, c'es que l'on a pas encore affich le formulaire)
		if(isset($_POST['pseudo'], $_POST['mot_passe'], $_POST['email']))
		{
			//si l'on aaffich le formulaire, l'on cre des varibles pour viter de le reremplir de 0
			$pseudo = htmlspecialchars($_POST['pseudo']);
			$email = htmlspecialchars($_POST['email']);
			
			//Si les variables contenant le pseudo, le mot de passe et l'email contiennent quelque chose.
			if (!empty($_POST['pseudo']) && !empty($_POST['mot_passe']) && !empty($_POST['email']))
		        {
				//Si le pseudo est suprieur  3 caractres et infrieur  35 caractres.
		                if (strlen(trim($_POST['pseudo'])) > 3 && strlen(trim($_POST['pseudo'])) < 35)
				{
					//Si le mot de passe est suprieur  4 caractres.
					if (strlen(trim($_POST['mot_passe'])) > 4)
					{
						if(preg_match("#^[a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4}$#", $email))
						{
							$pseudo = mysql_real_escape_string($pseudo);//scurisation pseudo
							//On vrifie que le pseudo n'existe pas.
	                                		$sql = mysql_query('SELECT COUNT(*) AS nb_pseudo FROM '.$prefix."membres WHERE pseudo='".$pseudo."'");
							if (mysql_result($sql, 0, 'nb_pseudo') == 0)
							{
								//verif email
								$email = mysql_real_escape_string($email);//scurisation email
								$sql2 = mysql_query('SELECT COUNT(*) AS nb_email FROM '.$prefix."membres WHERE email='".$email."'");
								if (mysql_result($sql2, 0, 'nb_email') == 0)
								{
									//Mesure de scurit.
									$mot_passe = mysql_real_escape_string(htmlspecialchars($_POST['mot_passe']));
								
									//Hashage du mot de passe avec md5().
									$mot_passe = md5($mot_passe);
	
									//On xcute la requte qui enregistre un nouveau membre.
									mysql_query('INSERT INTO '.$prefix."membres (pseudo, mot_passe, acces, email, date_inscription, design) VALUES ('".$pseudo."', '".$mot_passe."', '1', '".$email."', '".time()."', '".$config['design_defaut']."')")or die(mysql_error());
								
									$resultat = 'ok';//ouf, tout c'est bien pass :) .
								}
								else
									$resultat = $lang['erreur'].' : '.$lang['email_utilise'];
							}
							else
								$resultat = $lang['erreur'].' : '.$lang['pseudo_existant'];
						}
						else
							$resultat = $lang['erreur'].' : '.$lang['adresse_email_invalide'];
					}
					else
						$resultat = $lang['erreur'].' : '.$lang['mot_de_passe_trop_court'];
				}
				else
					$resultat = $lang['erreur'].' : '.$lang['pseudo_trop_court_ou_trop_long'];
			}
			else
				$resultat = $lang['erreur'].' : '.$lang['vous_devez_remplir_tous_les_champs_pour_vous_inscrire'];
		}
	}

	//affichage
	if($resultat == 'ok')//si tout est bon, on affiche un message de confirmation
	{
		echo $lang['inscription_acceptee_1'].' <a href="index.php">'.$lang['inscription_acceptee_2'].'</a>.';
	}
	elseif($config['autorisation_inscriptions'] != 1)//si pas le droit de s'inscrire
	{
		echo $lang['erreur'].' : '.$lang['inscriptions_fermees'].' <a href="mailto:'.$config['email_admin'].'">'.$config['email_admin'].'</a>.';
	}
	elseif($config['reglement_actif'] == 1 AND !isset($_GET['accepter_reglement']))//si rglement  accepter
	{
		echo '<strong>'.$lang['accepter_reglement'].'</strong><p>'.nl2br($config['reglement']).'</p><p class="centre"><a href="inscription.php?accepter_reglement=1">'.$lang['j_accepte'].'</a> <a href="index.php">'.$lang['je_n_accepte_pas'].'</a></p>';
	}
	else//sinon, affichage du formulaire avec les ventuelles erreurs
	{
		if(isset($resultat) AND !empty($resultat))
		{
			echo '<p><strong>'.$resultat.'</strong></p>';
		}
		else
		{
			echo '<p>'.$lang['intro_inscription'].'</p>';
		}
?>
<form method="post" action="inscription.php?accepter_reglement=1">
<p>
<label for="pseudo"><?php echo $lang['pseudo']; ?> : <input type="text" name="pseudo" id="pseudo" value="<?php echo $pseudo; ?>" maxlength ="35" /> <?php echo $lang['entre_4_et_35_caracteres']; ?></label><br />
<label for="mot_passe"><?php echo $lang['mot_passe']; ?> : <input type="text" name="mot_passe" id="mot_passe" /> <?php echo $lang['au_moins_5_caracteres']; ?></label><br />
<label for="email"><?php echo $lang['email']; ?> : <input type="text" name="email" id="email" size="30" value="<?php echo $email; ?>" /></label><br />
<input type="submit" name="inscription" value="<?php echo $lang['s_inscrire']; ?>" />
</p>
</form>
<?php
	}

	designbasconnexion();
}
?>