<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/
if(isset($_GET['etape']) AND is_numeric($_GET['etape']) AND $_GET['etape'] <= 3 AND $_GET['etape'] > 0)
{
	$etape = intval($_GET['etape']);
}
else
{
	$etape = 1;
}

//design haut
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
   <head>
       <title>Installer kankanSpace</title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	   <meta name="author" content="kankan" />
	   <meta name="description" content="Description de mon espace membres" />
	   <meta name="keywords" content="kankan, kankanSpace, espace, membres" />
	   <link rel="stylesheet" media="screen" type="text/css" title="Design" href="designs/simple/design.css" />

   </head>

   <body>

       <div id="en_tete">
           <span class="nom_site">Installer kankanSpace</span>
		   <br /><span class="description_site">&Eacute;tape <?php echo $etape;?>/3</span>
       </div>

       <div id="connexion">
<h1>Installer kankanSpace 0.9</h1>
<?php
if($etape == 1)
{
?>
Remplissez tous les champs du formulaire, afin de lancer l'installation de kankanSpace.
<br /><strong>Avant de valider ce formulaire, v&eacute;rifiez bien que vous avez les droits d'&eacute;criture sur le dossier <em>cache</em> (et son contenu) et le fichier <em>config.inc.php</em> (chmod 777 sur un serveur Linux).</strong>
<form method="post" action="installer.php?etape=2">
<p>
<label>H&ocirc;te de la base de donn&eacute;es : <input type="text" value="localhost" name="host" /></label>
<br /><label>Utilisateur de la base de donn&eacute;es : <input type="text" name="username" /></label>
<br /><label>Mot de passe de la base de donn&eacute;es : <input type="text" name="password" /></label>
<br /><label>Nom de la base de donn&eacute;es : <input type="text" name="bdd_name" /></label>
<br /><label>Pr&eacute;fixe des tables : <input type="text" name="prefix" /> (Uniquement si vous avez plusieurs installations de kankanSpace)</label>
<br /><input type="submit" value="Passer a l'&eacute;tape 2" />
</p>
</form>
<?php
}
elseif($etape == 2)
{
	//vrif variables
	if(empty($_POST['host']) OR empty($_POST['username']) OR empty($_POST['bdd_name']))
	{
		exit('Veuillez renseigner les champs H&ocirc;te, Utilisateur et Nom de la base de donn&eacute;es. <br />Si vous ne connaissez pas ces informations, contactez l\'h&eacute;bergeur de votre site.');
	}
	
	$host = $_POST['host'];
	$username = $_POST['username'];
	$password = $_POST['password'];
	$bdd_name = $_POST['bdd_name'];
	$prefix = $_POST['prefix'];
	
	//connexion  MySQL
	mysql_connect($host, $username, $password)or exit('Impossible de se connecter &agrave; MySQL. L\'hte ou le nom d\'utilisateur ou le mot de passe sont incorrects.<br />Si vous ne connaissez pas ces informations, contactez l\'h&eacute;bergeur de votre site.');
	mysql_select_db($bdd_name)or exit('Le nom de la base de donn&eacute;es renseign&eacute; est incorrect. Impossible de poursuivre l\'installation.<br />Si vous ne connaissez pas ce nom, contactez l\'h&eacute;bergeur de votre site.');
	
	//cration fichier config
	$config_file = fopen('config.inc.php', 'w');
	fputs($config_file, '<?php'."\n");
	fputs($config_file, '//fichier config gnr au timestamp '.time().'. A modifier en cas de changement d\'hbergeur'."\n\n");
	fputs($config_file, '$host = \''.$host.'\';'."\n"); 
	fputs($config_file, '$username = \''.$username.'\';'."\n"); 
	fputs($config_file, '$password = \''.$password.'\';'."\n"); 
	fputs($config_file, '$bdd_name = \''.$bdd_name.'\';'."\n"); 
	fputs($config_file, '$prefix = \''.$prefix.'\';'."\n"); 
	fputs($config_file, '?>'); 

	fclose($config_file);
	
	//cration des tables
	mysql_query('CREATE TABLE `'.$prefix.'liens` (
  `id` int(11) NOT NULL auto_increment,
  `texte` varchar(250) NOT NULL,
  `adresse` varchar(300) NOT NULL,
  `visible_membres` smallint(1) NOT NULL,
  `apparaitre_menu` smallint(1) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;')or die(mysql_error());

	mysql_query('CREATE TABLE `'.$prefix.'membres` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo` varchar(40) NOT NULL,
  `mot_passe` varchar(255) NOT NULL,
  `acces` tinyint(1) NOT NULL default \'0\',
  `date_inscription` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `avatar` varchar(500) NOT NULL,
  `avatar_actif` smallint(1) NOT NULL,
  `admin` tinyint(1) NOT NULL,
  `email_visible` smallint(1) NOT NULL,
  `configuration` text NOT NULL,
  `biographie` text NOT NULL,
  `design` varchar(255) NOT NULL,
  `langue` varchar(255) NOT NULL default \'francais\',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;')or die(mysql_error());

	mysql_query('CREATE TABLE `'.$prefix.'minichat` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo` varchar(255) NOT NULL,
  `message` text NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
')or die(mysql_error());

	mysql_query('CREATE TABLE `'.$prefix.'modules` (
  `fichier` varchar(255) NOT NULL,
  `nom` varchar(255) NOT NULL,
  `options` tinyint(1) NOT NULL,
  `date_installation` int(11) NOT NULL,
  `membre_installateur` int(11) NOT NULL,
  KEY `fichier` (`fichier`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;')or die(mysql_error());

	mysql_query('CREATE TABLE `'.$prefix.'options` (
  `nom` varchar(255) NOT NULL,
  `contenu` text NOT NULL,
  KEY `nom` (`nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;')or die(mysql_error());

	//insertion des premires donnes
	mysql_query('INSERT INTO `'.$prefix.'modules` (`fichier`, `nom`, `options`, `date_installation`, `membre_installateur`) VALUES 
(\'minichat.php\', \'Minichat\', 0, '.time().', 1);')or die(mysql_error());

	mysql_query('INSERT INTO `'.$prefix.'liens` (`texte`, `adresse`, `visible_membres`, `apparaitre_menu`) VALUES 
(\'Minichat\', \'minichat.php\', 1, 1);')or die(mysql_error());

	//affichgae de la suite du formulaire
?>
R&eacute;glage des premi&egrave;res options de votre espace membre.
<br /><strong>Attention :</strong> Assurez-vous d'avoir rempli tous les champs avant de valider le formulaire.
<form action="installer.php?etape=3" method="post">
<p>
<label>Pseudo de l'administrateur <input type="text" name="admin_pseudo" /></label>
<br /><label>Mot de passe de l'administrateur <input type="text" name="admin_mot_passe" /></label>
<br /><label>Adresse e-mail de l'administrateur <input type="text" name="admin_email" /></label>
<br /><label>Titre de l'espace membre <input type="text" name="titre" value="Mon espace membre" /></label>
<br /><label>Description de l'espace membre <input type="text" name="description" value="Un espace membre r&eacute;alis&eacute; avec kankanSpace" /></label>
<br /><input type="submit" value="Passer a l'&eacute;tape 3 (fin de l'installation)" />
</p>
</form>
<?php
}
elseif($etape == 3)
{
	require('config.inc.php');
	
	//connexion  MySQL
	mysql_connect($host, $username, $password)or exit('Impossible de se connecter &agrave; MySQL.');
	mysql_select_db($bdd_name)or exit('La bese de donn&eacute;es demand&eacute; est introuvable.');

	//vrif variables
	if(empty($_POST['admin_pseudo']) OR empty($_POST['admin_mot_passe']) OR empty($_POST['admin_email']) OR empty($_POST['titre']))
	{
		exit('Veuillez remplir tous les champs de la page pr&eacute;c&eacute;dente avant de valider. Le seul champ facultatif est la description de votre espace membre.');
	}
	
	$admin_pseudo = mysql_real_escape_string(htmlspecialchars($_POST['admin_pseudo']));
	$admin_mot_passe = md5(mysql_real_escape_string(htmlspecialchars($_POST['admin_mot_passe'])));
	$admin_email = mysql_real_escape_string(htmlspecialchars($_POST['admin_email']));
	$titre = mysql_real_escape_string(htmlspecialchars($_POST['titre']));
	$description = mysql_real_escape_string(htmlspecialchars($_POST['description']));
	
	//insertion des utilisateurs
	mysql_query('INSERT INTO `'.$prefix.'membres` (`pseudo`, `mot_passe`, `acces`, `date_inscription`, `email`, `avatar`, `avatar_actif`, `admin`, `email_visible`, `configuration`, `biographie`, `design`, `langue`) VALUES (\''.$admin_pseudo.'\', \''.$admin_mot_passe.'\', 1, 1196631458, \''.$admin_email.'\', \'\', 0, 1, 0, \'\', \'\', \'simple\', \'francais\')')or exit(mysql_error());
	
	//insertion des paramtres
	mysql_query('INSERT INTO `'.$prefix.'options` (`nom`, `contenu`) VALUES 
(\'titre\', \''.$titre.'\'),
(\'description\', \''.$description.'\'),
(\'mots_cles\', \'espace, membres\'),
(\'design_defaut\', \'simple\'),
(\'reglement_actif\', \'0\'),
(\'reglement\', \'\'),
(\'apropos_perso_actif\', \'0\'),
(\'apropos_perso\', \'\'),
(\'version\', \'0.9.1\'),
(\'largeur_max_avatar\', \'100\'),
(\'hauteur_max_avatar\', \'100\'),
(\'upload_avatar\', \'0\'),
(\'taille_max_avatar\', \'0\'),
(\'email_admin\', \''.$admin_email.'\'),
(\'autorisation_inscriptions\', \'1\'),
(\'message_accueil_actif\', \'0\'),
(\'message_accueil\', \'\'),
(\'langue_defaut\', \'francais\');')or exit(mysql_error());
	
	//affichage des infos
?>
Votre installation semble s'&ecirc;tre correctement termin&eacute;. Vous pouvez d&egrave; &agrave; pr&eacute;sent utiliser kankanSpace, en vous connectant sur la page d'accueil.
<br /><a href="index.php">Aller a la page d'accueil</a>

<?php
}
else
{
	echo 'L\'&eacute;tape demand&eacute;e n\'existe pas';
}
?>
       </div>

       <div id="pied_de_page_connexion">
           <p>Propuls&eacute; par <a href="http://www.kankanspace.org">kankanSpace</a></p>
       </div>

   </body>
</html>
<?php
//fin design bas
?>