<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/

//Anciennes versions pour lesquels le script est prévu...
$versions_autorisees = array('0.9');

//Nouvelle version
$new_version = '0.9.1';

//Mise à jour
require('config.inc.php');

if(!isset($host, $username, $password, $bdd_name) AND !empty($host) AND !empty($username) AND !empty($bdd_name))//si config.inc.php endommagé...
{
	$titre = 'Installation introuvable';
	$message = 'Le script de mise &agrave; jour n\'a pas trouv&eacute; d\'installaton valide de kankanSpace. <br />Votre fichier config.inc.php est manquant ou endommag&eacute;. Vous devriez essayer d\'ex&eacute;cuter <a href="installer.php">installer.php</a> pour installer kankanSpace.';
}
else //si tout va bien, on continue
{
	mysql_connect($host, $username, $password)or exit('Impossible de se connecter &agrave; MySQL.');
	mysql_select_db($bdd_name)or exit('La bese de donn&eacute;es demand&eacute; est introuvable.');
	
	$req_old_version = mysql_query('SELECT contenu FROM '.$prefix.'options WHERE nom=\'version\'')or exit('Impossible de lire le num&eacute;ro de version.<br />Ce probl&egrave;me signifie en g&reacute;n&eacute;ral que vous utilisez kankanSpace 0.5 ou 0.6.<br />Pour mettre &agrave; jour kankanSpace, veuillez utiliser l\'outil ad&eacute;quat.<br />Consultez <a href="http://www.kankanspace.org/doc/installation">la documentation</a> pour plus d\'informations.');
	$old_version = mysql_result($req_old_version, 0, 'contenu');
	
	if(in_array($old_version, $versions_autorisees))// si la version est bonne
	{
		mysql_query('UPDATE '.$prefix.'options SET contenu=\''.$new_version.'\' WHERE nom=\'version\'')or exit('Le requ&ecirc;te SQL de mise &agrave; jour a &eacute;chou&eacute;e.<br />MySQL a renvoy&eacute; : '.mysql_query());
		require 'include/fonctions.php';
		gen_cache_config();
		
		$titre = 'Mise &agrave; jour r&eacute;ussie';
		$message = 'Vous venez de mettre &agrave; jour kankanSpace. Vous utilisez &agrave; pr&eacute;sent la version '.$new_version.'. <br />Pensez &agrave; supprimer ce fichier pour des raisons de s&eacute;curit&eacute;.';
	}
	else //si mauvaise version
	{
		$titre = 'Installation incompatible';
		$message = 'Votre version de kankanSpace n\'est pas compatible avec cet outil de mise &agrave; jour. V&eacute;rifiez que vous n\'utilisez pas une version plus r&eacute;cente de kankanSpace.<br /><strong>Version utilis&eacute; pour votre espace membre :</strong> '.$old_version.'<br /><strong>Version que vous tentez d\'installer :</strong> '.$new_version;
	}
}

//On affiche le résultat
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
   <head>
       <title>Mettre &agrave; jour kankanSpace</title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	   <meta name="author" content="kankan" />
	   <meta name="description" content="Description de mon espace membres" />
	   <meta name="keywords" content="kankan, kankanSpace, espace, membres" />
	   <link rel="stylesheet" media="screen" type="text/css" title="Design" href="designs/simple/design.css" />

   </head>

   <body>

       <div id="en_tete">
           <span class="nom_site">Mettre &agrave; jour kankanSpace</span>
		   <br /><span class="description_site">R&eacute;sultat de la mise &agrave; jour vers kankanSpace <?php echo $new_version; ?></span>
       </div>

       <div id="connexion">
	<h1><?php echo $titre; ?></h1>
	<p><?php echo $message; ?></p>
       </div>

       <div id="pied_de_page_connexion">
           <p>Propuls&eacute; par <a href="http://www.kankanspace.org">kankanSpace</a></p>
       </div>

   </body>
</html>
